Summary:        Global keys utility for Nde desktop suite
Name:           nde-globalkeys
Version:        0.0.1
Release:        7%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake, gcc, gcc-c++
BuildRequires:  nde-lib-devel >= 0.0.1,glib2-devel, pkgconfig(libstatgrab)
BuildRequires:  pkgconfig(Qt5Help), libqtxdg-devel, kf5-kwindowsystem-devel >= 5.5
BuildRequires:  desktop-file-utils
Requires:       dbus-x11
Requires:       flameshot



%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package l10n
Summary:        Translations for nde-globalkeys
Requires:       nde-globalkeys

%description l10n
This package provides translations for the nde-globalkeys package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
   %{cmake_nde} -DUSE_QT5=TRUE -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-edit --remove-category=Nde --add-category=X-Nde \
    --remove-only-show-in=Nde --add-only-show-in=X-Nde %{buildroot}%{_datadir}/applications/nde-config-globalkeyshortcuts.desktop

%find_lang nde-config-globalkeyshortcuts --with-qt



%post
if [ $1 -eq 2 ] ; then
    for file in `ls /home`
    do
        if [ -d /home/$file ]
        then
            if [ -f /home/$file/.config/nde/globalkeyshortcuts.conf ]
            then
                sed -i 's/Comment=QTerminal/Comment=NdeTerminal/g' /home/$file/.config/nde/globalkeyshortcuts.conf
                sed -i 's/Exec=qterminal/Exec=ndeterminal/g' /home/$file/.config/nde/globalkeyshortcuts.conf
                sed -i 's/Exec=flameshot, gui/Exec=flameshotgui.sh/g' /home/$file/.config/nde/globalkeyshortcuts.conf
                sed -i 's/Exec=pcmanfm-qt/Exec=nde-fileman, computer:\/\/\//g' /home/$file/.config/nde/globalkeyshortcuts.conf
                result=`grep "Meta%2BPrint" /home/$file/.config/nde/globalkeyshortcuts.conf`
                if [ -z $result ] ; then
                    echo "" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "[Meta%2BPrint.9]" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Comment=\x5c4f\x5e55\x622a\x56fe" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Enabled=true" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Exec=flameshotgui.sh" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                fi
                result=`grep "Meta%2BE" /home/$file/.config/nde/globalkeyshortcuts.conf`
                if [ -z $result ] ; then
                    echo "" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "[Meta%2BE.10]" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Comment=\x6253\x5f00\x6587\x4ef6\x7ba1\x7406\x5668" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Enabled=true" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Exec=nde-fileman, computer:///" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                fi
                result=`grep "Meta%2BL" /home/$file/.config/nde/globalkeyshortcuts.conf`
                if [ -z $result ] ; then
                    echo "" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "[Meta%2BL.27]" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Comment=\x9501\x5b9a\x5c4f\x5e55" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Enabled=true" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                    echo "Exec=xdg-screensaver, lock" >> /home/$file/.config/nde/globalkeyshortcuts.conf
                fi
            fi
        fi
    done
fi



%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_bindir}/nde-globalkeysd
%{_bindir}/nde-config-globalkeyshortcuts
%{_libdir}/libnde-globalkeys.so.0*
%{_libdir}/libnde-globalkeys-ui.so.0*
%{_datadir}/applications/nde-config-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/autostart/nde-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/nde/globalkeyshortcuts.conf

%files devel
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libdir}/libnde-globalkeys.so
%{_libdir}/libnde-globalkeys-ui.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nde-globalkeys
%{_includedir}/nde-globalkeys-ui
%dir %{_datadir}/cmake/nde-globalkeys
%dir %{_datadir}/cmake/nde-globalkeys-ui
%{_datadir}/cmake/nde-globalkeys/*
%{_datadir}/cmake/nde-globalkeys-ui/*

%files l10n -f nde-config-globalkeyshortcuts.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-config-globalkeyshortcuts



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-7
- small fix

* Thu Sep 10 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-6
- 修改截图快捷键命令

* Thu Jul 30 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-5
- 修改锁屏快捷键、文件管理器快捷键和截图快捷键

* Tue Jul 28 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-4
- 修改文件管理器快捷键

* Wed Jul 15 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-3
- 修改截图快捷键

* Tue Jun 23 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-2
- 修改终端快捷键

* Thu May 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)

